# wp core

Aide:

```bash
$ wp help core
```

```bash
NAME

  wp core

DESCRIPTION

  Downloads, installs, updates, and manages a WordPress installation.

SYNOPSIS

  wp core <command>

SUBCOMMANDS

  check-update           Checks for WordPress updates via Version Check API.
  download               Downloads core WordPress files.
  install                Runs the standard WordPress installation process.
  is-installed           Checks if WordPress is installed.
  multisite-convert      Transforms an existing single-site installation into a multisite installation.
  multisite-install      Installs WordPress multisite from scratch.
  update                 Updates WordPress to a newer version.
  update-db              Runs the WordPress database update procedure.
  verify-checksums       Verifies WordPress files against WordPress.org's checksums.
  version                Displays the WordPress version.
```

Version courante de WordPress:

```bash
$ wp core version --path=/Users/bruno/Sites/wordpress
4.9.8
```

Vérifier les mises-à-jour:

```bash
$ wp core check-update
Success: WordPress is at the latest version.
```

Mise-à-jour de WordPress:

```bash
$ wp core update
```

Mise-à-jour de la bdd:

```bash
$ wp core update-db
```

Installer une ancienne version

```bash
$ wp core update --version=4.7.1
```

Télécharger la version 4.2.2 en langue grecque:

```bash
$ wp core download --version=4.2.2 --locale=el_GR
```

